## neverball 1.5.5-1

=== debian/changelog ===
neverball (1.5.5-1) unstable; urgency=low

  * Initial release

 -- Alberto Mardegan <mardy@users.sourceforge.net>  Wed,  10 Jul 2011 19:28:12 +0300
