=== debian/control ===
Source: neverball
Architecture: armel
Section: user/games
Priority: optional
Maintainer: Alberto Mardegan <mardy@users.sourceforge.net>
Build-Depends: debhelper (>= 5),
 libgles1-sgx-img-dev | libgl-dev,
 libosso-dev,
 libphysfs-dev,
 libsdl1.2-dev, libsdl-gles1.2-dev, libsdl-ttf2.0-dev,
 libvorbis-dev, libpng12-dev, libjpeg62-dev,
 opengles-sgx-img-common-dev [arm armel]
Standards-Version: 3.7.2

Package: neverball
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends},
 libgles1-sgx-img, opengles-sgx-img-common,
 neverball-data (= ${source:Version})
Suggests: neverputt
Description: 3D floor-tilting game
 In the grand tradition of Marble Madness and Super Monkey Ball, Neverball
 has you guide a rolling ball through dangerous territory. Balance on narrow
 bridges, navigate mazes, ride moving platforms, and dodge pushers and
 shovers to get to the goal. Race against the clock to collect coins to earn
 extra balls.

Package: neverball-data
Architecture: armel
Depends: neverball-common (= ${source:Version})
Recommends: neverball
Description: data files for Neverball
 In the grand tradition of Marble Madness and Super Monkey Ball, Neverball
 has you guide a rolling ball through dangerous territory. Balance on narrow
 bridges, navigate mazes, ride moving platforms, and dodge pushers and
 shovers to get to the goal. Race against the clock to collect coins to earn
 extra balls.
 .
 This package contains the data files needed to play Neverball.

Package: neverball-common
Architecture: armel
Description: data files for Neverball and Neverputt
 The engine of the floor-tilting game Neverball is also used by its spin-off,
 a miniature golf game known as Neverputt.
 .
 This package contains the data files shared between Neverball and Neverputt.

Package: neverputt
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends},
 libgles1-sgx-img, opengles-sgx-img-common,
 neverputt-data (= ${source:Version})
Suggests: neverball
Description: 3D miniature golf game
 Neverputt is a hot-seat multi-player miniature golf game for 1 to 4 players.
 The 18-hole course takes advantage of all the elements that challenge
 Neverball players, including moving platforms and barriers, teleporters,
 ramps, and drop-offs. A simple putting interface and golf scoring system
 have been added.

Package: neverputt-data
Architecture: armel
Depends: neverball-common (= ${source:Version})
Recommends: neverputt (>= 1.4.0+svn2527-1)
Description: data files for Neverputt
 Neverputt is a hot-seat multi-player miniature golf game for 1 to 4 players.
 The 18-hole course takes advantage of all the elements that challenge
 Neverball players, including moving platforms and barriers, teleporters,
 ramps, and drop-offs. A simple putting interface and golf scoring system
 have been added.
 .
 This package contains the data files needed to play Neverputt.

Package: neverball-dbg
Section: debug
Priority: extra
Architecture: armel
Depends: neverball (= ${binary:Version}) | neverputt (= ${binary:Version})
Description: debugging information for Neverball and Neverputt
 In the grand tradition of Marble Madness and Super Monkey Ball, Neverball
 has you guide a rolling ball through dangerous territory. Balance on narrow
 bridges, navigate mazes, ride moving platforms, and dodge pushers and
 shovers to get to the goal. Race against the clock to collect coins to earn
 extra balls.
 .
 This package contains the debugging information for Neverball and Neverputt.
