=== debian/changelog ===
neverball (1.5.5-2) unstable; urgency=low

  * Fix packaging.
  * Add touchscreen controls to neverputt.

 -- Alberto Mardegan <mardy@users.sourceforge.net>  Wed, 13 Jul 2011 12:05:45 +0300
