=== debian/control ===
--- 
+++ 
@@ -1,5 +1,4 @@
 Source: neverball
-Architecture: armel
 Section: user/games
 Priority: optional
 Maintainer: Alberto Mardegan <mardy@users.sourceforge.net>
@@ -24,6 +23,55 @@
  bridges, navigate mazes, ride moving platforms, and dodge pushers and
  shovers to get to the goal. Race against the clock to collect coins to earn
  extra balls.
+XB-Maemo-Icon-26:
+ iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAQAAAD9CzEMAAAAGXRFWHRTb2Z0
+ d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAB5xJREFUWIWVl0uPXEcVx39V
+ t+6re6bn7XEcO7YhRCa2F1kA4guwgkWkbLxBERsCm0j5AEgBsc2GHQtAfAmQ
+ ssmCRQJIBoQcYiwzsWcmnp5Hd08/7qtuFYuqe7tnMrGhSjPVfR/nf57/c1qs
+ cHZJQiQhIZoAi0ATrtWvijfUG+oK6VPqTO6L+9znEQOLwP1JwGIR5+QpXryu
+ 8N3o2/J2+A21YWOBKDi21/g6fxYfs/eil8XzLJDYb4Vvp99Lb3RUQkKM5k/M
+ MBhAarPDh/K39i/Ps+ArART1a9F7yz9cSVdZZYttNllB8HeGnLDHUw4pEdSZ
+ /b34gIf/J4AifHvpZ5s3t1jnCl/jMivERBgek1Mw5YCH/IN9DCX6P/w8+N3F
+ AEFyHpEAm6YfbP7i2voNrnKL22zTJSQiJiSjpkYTsM5LwACFWKt/YDblR2j+
+ FwC5tPybyz+6KW+wzXWukRKSEBETo5hSodEUZBhWMZyiQNbfsa/KP9ryhQC2
+ s/rrq/ducJ11NtkmISIhIkKhsOyTU1JQUpCTEzOlIESi75ib/EFUzwUwrPzy
+ 6jvXuc4GXdZZIvaahwRIah4zJScj97tCM0EiAH3XRPLD8zE9s5beuvTuy1xl
+ nQ4dEhSh110hCYARQ8ZMyci9HYIQRUxKgnjXviVY3AsAFrG99v5L0RXW6ZCS
+ Ei7sgACJYMyIMWPGzMgpKCgRBCgXqci+z/YZCxTzvfSTrdcvs0GHhJh4QbTb
+ CsmIobfB7YzMa6qISAher396xgJJs4OX197ZYJMuCTEJHe/7EEWIIkAhGDFg
+ xIhTxkyYMqZEIrwVMRH82L68YEGDBMm9te0Nln3OxD7vnW1Of4Vk7MU7gDEF
+ wisIASERctvcmwOooMmfuPPmCmukXuOYDl06pCQkKM+KFXscElCj0WhXNz6H
+ GoiQ8k1+RXEOQN7t3FqiQ0TCMit0SRBMGDAlY8aUAk3N96nQZN6KoQ92hfWe
+ UISUt8xd/uoBKp9B8Z3O2hordKn5gn8x5JhjRkyZotEYLCXbfETHq1QxY8QR
+ fZ7yObvscsiEAotYs3dkAxD6Aktud0TOPzliwISMGutzQxISIYCKHhkdagwW
+ g2KVHlf5JhOG9Nlnh894yJ7Qt9sYlO4U42uf8hmCoI2BOEdc7rvwfq+xWGpP
+ GAWWLldY5Sav8QmPrmkhLIA6dW8ndjmmRwflC0oAlrPsuHhNIDEIpH8eDJoK
+ TcQWw+VZIjMA5UtZ2SjwZW358pK+6IMWcH7OnxftFRPWgfWC8UEwnHu1WQEC
+ 5XVNvnT3InXAWuFvKP9CZbOLXpHeZQEBLsubJyzWn81ni8Fi0VTYjMpJVrk7
+ SnlsqL3wZhAJCAi9lwMkuh1CTCvSUGPOnTWz45PSpY9ynikJH9pWK+co5flH
+ eSiJJAKg9j41CyK1B9DklMweTrwc1cSlflAXdWy8wbTiwzMAYat57cU2u/Lf
+ S2bMivwBPv4S1+el/bR+5h6y4EU2ND7vCgqLboVXC7v2Z8aE8bP8AdKlnPTe
+ 6Nmh+Zsz1Hp+lwQLPBqgiAi9tvNd+g5dUlFROLa9r0f0UA7AFW+PLf2xtiU1
+ rogaEg48TOiddV504RtnSUXJjAFDe/IJW/QICRASiSJliVfMoNop0b4gXLUK
+ n/9hG/CKoqWHfGGXFGQMOOZwZzbgFZZIUUiJQJHQY4tL+lFlSvSZ2mwYqAn0
+ XGxGRuYnDHf1lAP65uDfXGKLHgkKoZAoYrqssm1MNSg2YmKihXQVnpscUI6g
+ 8rxTttbkZJxywAH7g5llmwFdYhRS+RjEpCyzpKflah5ERG1CzqvDUd0MswDQ
+ QGSM6bPHXn0wZYllUmIXg6Y0HSUqS5GppcB7vG5LyeW+A3C5phcCnTHmGU/Y
+ 42lW0xKXLzT3buWzTJsyK2Tskkt4v9dt362ZUPpKaGxw2j9hl8dFVqIpvDSD
+ xSrPThljPygkOphIwnlwHYD7ppmgqLFtPWSMeMYX7LJTTXJyJl5SRoV2ADUZ
+ Ewb0WSElgNpOYhMbqX1dN1GQaKYoX8kVBTNO6HPAvtkt8oIZA47o05/33cCz
+ smyZWTo+r2ot66Cpbeu7MPSomDFjzNCFlV12yr1pNWPMCX32eMIT9jhiTE6t
+ fGMdc0SExFKRMWPFdrOsTPM0i6Z0Sf0oGbGH8DU74ZQhh+VRVmQUTBlxzAG7
+ fO7FF9TORYaSjAESQ8WMU0ass0K3TidRliad0zhVsYxQROSAJiMzY31anM7K
+ jJKMKSNO6POMffbpMyCjxGAVYADXdzQFU4acsMEqPZZJ62QaTmOVBGEQB4GS
+ e1hT1VVRVFVGRemL4JQhx/Q5pO/HqZwa0/QDiybHeIARx6yzSo8eHTcL61A3
+ 8zttO3Dip0z9kHfCgBNGTMhoGWc+HAgkIQkpXZZYZtlZ0AbAtbY5QKP9tE1x
+ N25n5E0NLAI0ueRm8JiUlJQOiRcf+9bgAFydOa7OyJl55iv8APuVM4rwpBH6
+ 304hMY6YnP7N7yHXfOd0VFFSoakw1JwZTM6POQ1DN7NK09SCli3wTpq3ZXca
+ XzD2vLiLlvADf9M7FxmbtrSNB5oz4QVT2MUAi/fmMy8LAM1/u/D5wvVfnewi
+ dmSMqiAAAAAASUVORK5CYII=
+XSBC-Bugtracker: http://forum.nevercorner.net/
+XSBC-Maemo-Display-Name: Neverball
 
 Package: neverball-data
 Architecture: armel
@@ -58,6 +106,96 @@
  Neverball players, including moving platforms and barriers, teleporters,
  ramps, and drop-offs. A simple putting interface and golf scoring system
  have been added.
+XB-Maemo-Icon-26:
+ iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0
+ d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAADtdJREFUaN7NWVdsVucZfs/4
+ h7fNbzwYxswQGwNmOJREKUlVojS5aCKkqFGkqm2SFomKqlLvo6p3aW9aqt50
+ qBekF+lNFCUthYSoJEwxzIgBM4yxjbEx3v88o89z/H34+GAMaYnUX3r1nfmd
+ dzzv/A2Z+xcDzYvFYtvefffdH+7evTu5d+/e/K5du/48MjLyqSEyUGJZfpVt
+ 88Eq1zCWG76/wRZpjRvGAs/3i25iA1zPmCJ9uHcGp6c8kSs4H/ZxYqgP8diM
+ fNzjfcOYk0FbHv6LeZ5XOTY21ur7fnlpaamTTCYP4fphfNBP4AP4+EKcb4mL
+ bDYNYw2EWRkzjBQYSBhTTOSwDOG5BvH9ZTg+AToC6pX/8fcwAaiEjOu6XceP
+ Hx+E1ue3tLQkGhsb1/f3979XbJpt82z7+xBie7FhNBb7vp3ECwnTlCSs4mDt
+ 5waeV4o9UlDEKgjwHQjkQBldvufth4B/wiMnv04BsqCejo6Os52dnU3r1q0T
+ 0JpzR4/+uiEW+1ZNLFZagQcqYjGZP3++1C9aJClQxbx5YpSWylrcG5mclOGh
+ Ienp7ZXumzflzuCgXSgUVuDWCtdxfgBB/gpBfoPzzsctAKHpgMb7+vrOnD59
+ +rttbW3JzZs2rfx8796VxM2SZFIa6uulce1aqV+5UipqaiQBxuO47sfjwQey
+ jiP5bFYmIMjt27fl8uXLcvbsWcGeAqskIcyPC/n8C/CZXwKWf/kqAliP8Axh
+ DEU5FXW1tS9s3769GE4p5w4elPnj49IKi7Q884zUNTZKSVmZxBOJgPlEUZHE
+ ioslg3PX9wUQEuwhlmXJPFinHkIDRjI6OiomoGZYVqXreS/jWjU++BkV5z+K
+ E9umObcJfN+BQ9pJz3urs709dbOnRxqXLpXGpiaxwFT9ihUB3i0wFwNDcewX
+ B5NxQMqkIDjPKsZJZBoalziss2bNmuAbtEiMzxuGlc1mf+o5Ti00+yPcmnio
+ BcqhqTgYeBBho+KUZf1hsWW96uRyxhNPPSVrW1rkane3jF67JgvKy6UCmi6i
+ 5sEEGbHBKBUDeEhfLicZUA6Uz+cD4jEYlUwmI4hoMglo8RrfpcZhiWa82wjd
+ /xMXCnMKkLDtOT24SuRXDfH4TxaASRMfjTc0yLPbtskwPtp55IjU4aMpYL6Y
+ eAfTsJbYJGjdgaav4Z1JEBkkw2Q8q865UiDCa2JiIoCSqRDhuG4LBInBKgfm
+ dmLff+DNUt/fUWtZuxdAu/XQ1Ag+dP3MGRm4e1dWPfGEHITDpnEs1dVi4hky
+ Tqcy8JwBwQBQGcX+aVgCsLjHvCZtjSDZ4HkKojFP66UzmZ/5rnsCQvz9K0Wh
+ ICv6fm2VYbxTF48nFgJmKWg4gQ9cu349wCwikaSWL5cxQMmDM1uED5ilL1hg
+ zATzcEwZJ5DBjI/rOQWlsBAaWmScPsKVfkIBIFAc0esdXDiEG7dn49W0lRRR
+ KhXZOd+2m+ug+WowVwaG5kGQ5PCwXIAVinC8BE44jg/lcM0EBCwIEqMwiCz2
+ yIiYuD6KFQkwWMdxj1Ah5kmElCYyriFEQWgR+ocBHlzwYqpSI0q2NUvMhAUW
+ VZnm29R6NagYzCcZXbBpNT587fRpGce6orlZLsCJJ5CkIJFYwLwFKJl0YmoT
+ NIb9RiGkqDDKCESNaydOp9PBORmn5rUgNoMIrQ5CKfA27v2RCfX+MDqLD8AC
+ r1Xadj0FoOaTYCSpGKLTdl66JF03bgThNLlkiYweOiROSYmYFIDhEO9QADJC
+ AUbwDZNODUEoAInQ0cwHUFBRSwtCK2ghcvl8vVsovKay9dw+AHGSqGteqcDL
+ VWCmiOaEVjQRUjf6++Xi+fPSjFxQAxiNffKJWHDmcjCZxAfx9YByeJ7V2iDD
+ HS0AcikIIw+EQAkRWNyk1nXSUlbQPkEoxcBL3nFegV/+XpU20wLMksaaiwxj
+ NWubYiYkFmbYrBxUzJURCdi+cuqUuK++KktRQuyrqJCD0GYVni8wuuAdFnIO
+ nn8ZG+aZicEsirogKtEqgWVwf5xRigWfqll8xfw9KCkhYLHVKDWao4WfXYhE
+ n4RICxivqsSLFaASbMLSoQ80CrqFa2d5/dw5GUJd8+SqVfJblBF/a2+X8qnU
+ LQh91JjU4vQgqCRwrumSgN8k06OgOyCGF/YN3XiGIO/BOkjh8O0cszezuGlW
+ AWItsNZMAWKRxIVyuBkCmBm8dA6bwD1lGOsEKAOiZidhhXKGU/jC1q1bZQ2g
+ dBoWQbkhMdY11DrWcmVvCsB6yFNK8hR2K0FloEWgJtAkrUKBlMK6cHwRayd4
+ 6QVPnus23xdG6UKaYEIDcXtxB146APqERRuIGsqp9owwqoQAYwiVqE4D87Zt
+ 3ixlcOKCckgJdVrhNdx9kVy1r4ZQVglXDKoHrcO3XiQMQa1QSKXvLy7yfQN9
+ h2iyx2ZWe0lsXMYuq0Jhn5qytJMpR6NzMWuiPwhe2rJliyxevDg4Z+y2VDmg
+ GRX1nqkinraCoWK5pdawgIQtoUY/oh9WYwUSytK+nzSn5J3ViW28HLdCm6mK
+ dKbZWPNA8xcuXJBTgA7Py5EPGB4ZChn6iPlYZJ+gbHHd6ePpvHN/Dc9oNDM3
+ UegYBLP8CMPR+s17lEaCAtxEd/XBBx/IJpQVdXV1UoyCTwvgMvFFBWBC00RB
+ uIYYnaurUqsfldcMJJ2mwlQL683QerSp0DBiZkWzL8tRE61fv17K0NAQWrzH
+ DBqDr4gin8UdrrFL4zHX4JxRJgQ3Td7UsGBKbhWGcZ4JeCRvisxIbZHHA0Ma
+ NlqI8LEWgFinoDeQkVnfoNEPemLCiPdtMMnSQxSRaU+tmjwkKJfW4so+QEUq
+ MuypY17DBCAIMji+g0CTd1TOcAI4R4oj6PoyGdNWiOI/YA4fZDGXgGZ70KGR
+ CKGlKC10JcnsSSEMLQAY9UhkXB+Hz7ky55BhjWXFfBb7kSBEp6McXJPphYCv
+ 4vR5MJBj2icjYQvoGoX4J85LEDoJoevICXTi1atXB5ZhnRM8R4gQPtSyYpQr
+ ySFx9EIociXxGmsiQkYJkmdfAF6A6xy0d57ZfIzQVXRfLQQrtIPxPnRTS4nn
+ cJOh+1pNdFqWxdfQWlI49rg1aHKG7txRlaJ9T6uusiidm/VQgbUR+2MSQyZX
+ apnZF+csP/J4Jo1nx0ETrtsLhtsnyFMIFSYrxDDhZg8bCEeVvxpK4Xpdl7vU
+ No97Me/hdGEFGnwKEZTLrPEhZF5rFtovKM3nQQUWaDxWRV9GURrEjDyO79+F
+ JfuxzwDqq2HH+QzUA/5mRBQzC6cLU47lruO8B+ZdQoFO6YcqRC0IVw0lNixD
+ 6AmqqqrkueeekzLAaXBwMNhrAs9mlCAB02RYUVYxPK5K7gE8fwMMd6DxOQWF
+ nMDaDh66HccfcpwLnNOqRG0+aC5kMpFB64Mw81ZYZAktQLiQUV2jk/SIhBDi
+ +YYNG4JwSggNoMg7ha7Nwv2NaPgT1DxhocoF4jitsHwH1urBHhehhHYwfRYC
+ XMF+A6hws9grvmCBlNXXM27XwN8yPhEyXXXM8AFzqpaTemi3LZVKmSk064QD
+ W0H6AjVMrYfzhHZ0WouWwfBXvvf669IJvzgPIf6B99pqa6WKcKNTguk0IHEX
+ jPZj326E4F68O0TrYP8kGK9EPilFgCjGO4xm/EZtbW0rXt/V1dXVh/Xfqqj1
+ wwIwcc6HZl8Eln+OkLiUWqcfECK3bt2Su2hauFkFPkJmyTTvM5zyWVqCbeKy
+ ZcvkrTfflD179sinXV1yCUyyNWVDRMekU45xlII9CpzgIX9QOTWplNSoYwYI
+ bWUqkRDF3k0YTT6L9ayqAT0rBCX08fIUmP/FqlUYmmBssg3znwUwIf2Am5F5
+ OqtmXI8FFy5cKM8//7wswlCXz/Iej6E16YXQfWCgj0Mu1vmw4CSsZIDZSrzX
+ CMdfC8ffBAhyYMaECOvfE0D7HM+ZhhCyx4CIoxzXMyXYodYyBc1+Gxu0tLa2
+ ys6dO4P5JX8s2j7++GM5evRokLRokWF0ZdS4TmArMdgl4xpWhByrVGbnY8eP
+ y8DgYHAvofJHOWBCTTN/0Hqe6pe1cnisw7irchJnqpWVlTUYCpdqR7ZDVW0K
+ N9dTm2+88cY95oMeE9MHWEVOnDghBw4ckHPoxu4g1lOAJWjqd+zYgdlWdQCf
+ 6brNCxhpwCSPVuQ9MqITIo81w4QInw2H7QcVkLCKFy7oZjgxXo5t3LgxYDZc
+ SpP4MrsvRhvW/VevXg2YoHA0ux5ORQtAXWITDsHIEEzyPc20DgIPHZGzG2RS
+ Gx+/pbpRVwug+4u7cJQOaLJt1jmpqo/osPiXJiAK5qiRoT/HiDI0aZtTw3P9
+ VMLMwImPafxza50QCN4hzGn2vf/++1dYXT7oR4b1YEqPBr/uH63HUH748OFj
+ gOLnaqjhRhMZrTB28eLFNCzR9PTTT5ez4tSzymhnFr0WLvhmo2iFq8/nIlpM
+ h+t9+/Z1Hzt2bA/ePRaGUFQAqrP/5MmTfWjYaxFd6uGEhi4hwnj9ugXQsGG0
+ ++ijj27s37//d7i+H5cH1AzivlJCDwoYSnrgpBc//PDDdHd3N6LXvErGdBUF
+ 7jHwOAXQ17WyGLXwP1oBkD4C6FDz/8Jnbin+/Oj0IzrfjavEFkw3kFi+iaT2
+ jZdeemkVIlGcoZHw0ozrmK1XHV10xNGkz8P39DH9irNS/gn45Zdf5r/44osL
+ 7e3tB3CNWu9gkAnXQHMJELZOQs2lqkHLQWuQYdcilD6JZLe4qampBMIkmaxY
+ AzEh6UpVYzjMvJ5Ma2bZDBEiKFMKqHHSly5dugUf7ECyPIHn+a/+FTVaTatA
+ 482m7Yf9Q2mpmVZSWaVCWWYRElkDwu4iVKC1sBIOq8uQXZNI+3FYCLdtiw4E
+ AXw4IstzF9GkAMazyOYZ1FZDEGAQQaMXke8G9uQwrk9pe0xpvKAd9kEMPnIo
+ Ds2g4oqSqj4vVZYqVedFSmg7NNZxFDM5heNJRRNqzYSGhIXpDlf8h2n4v/kZ
+ oRLEjAgXmg/MnI9FpoqRVnxqOB0ZBT0SI4/jZ8wiXJQRIxKy5asy+//yMx7n
+ Zv8B67aonVdznvsAAAAASUVORK5CYII=
+XSBC-Bugtracker: http://forum.nevercorner.net/
+XSBC-Maemo-Display-Name: Neverputt
 
 Package: neverputt-data
 Architecture: armel
