## neverball 1.5.5-3

=== Makefile ===
--- 
+++ 
@@ -327,6 +327,7 @@
 ifeq ($(PLATFORM),maemo)
 BALL_OBJS += share/tilt_maemo.o
 BALL_OBJS += share/maemo.o
+PUTT_OBJS += share/maemo.o
 else
 BALL_OBJS += share/tilt_null.o
 endif
