=== debian/changelog ===
neverball (1.5.5-3) unstable; urgency=low

  * Hide data packages from the application manager.
  * Keep the display on in neverputt.

 -- Alberto Mardegan <mardy@users.sourceforge.net>  Wed, 13 Jul 2011 13:25:47 +0300
