=== debian/control ===
--- 
+++ 
@@ -75,6 +75,7 @@
 
 Package: neverball-data
 Architecture: armel
+Section: games
 Depends: neverball-common (= ${source:Version})
 Recommends: neverball
 Description: data files for Neverball
@@ -88,6 +89,7 @@
 
 Package: neverball-common
 Architecture: armel
+Section: games
 Description: data files for Neverball and Neverputt
  The engine of the floor-tilting game Neverball is also used by its spin-off,
  a miniature golf game known as Neverputt.
@@ -199,6 +201,7 @@
 
 Package: neverputt-data
 Architecture: armel
+Section: games
 Depends: neverball-common (= ${source:Version})
 Recommends: neverputt (>= 1.4.0+svn2527-1)
 Description: data files for Neverputt
