=== debian/rules ===
--- 
+++ 
@@ -30,7 +30,7 @@
 	# directory, and PhysicsFS currently fails if the directory doesn't exist
 	# (see #553174).
 	$(MAKE) $(MAKEFLAGS) \
-		DATADIR=/usr/share/games/neverball \
+		DATADIR=/opt/maemo/usr/share/games/neverball \
 		LOCALEDIR=/usr/share/locale \
 	        HOME=$(CURDIR)
 	# Rename icons for .desktop files.
