=== debian/changelog ===
neverball (1.6.0-8) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.0.0.
  * Use https for Format field.
  * Fix FTCBFS: Let dh_auto_build pass cross compilers.
    Thanks to Helmut Grohne for the report and patch. (Closes: #852736)
  * Remove Jordà Polo and Tamas SZERB from Uploaders. They are not active
    anymore. (Closes: #852168)
  * Drop deprecated menu files and xpm icons.

 -- Markus Koschany <apo@debian.org>  Sat, 24 Jun 2017 16:01:54 +0200

neverball (1.6.0-7) unstable; urgency=medium

  * debian/rules: Use correct ENABLE_HMD option.

 -- Markus Koschany <apo@debian.org>  Wed, 14 Dec 2016 09:39:32 +0100

neverball (1.6.0-6) unstable; urgency=medium

  * Upload to unstable.
  * Disable openhmd on hurd-i386, sh4 and powerpcspe and make the game compile
    again.

 -- Markus Koschany <apo@debian.org>  Tue, 13 Dec 2016 23:41:11 +0100

neverball (1.6.0-5) experimental; urgency=medium

  * Enable Oculus Rift support and build-depend on libopenhmd-dev.
    (Closes: #845657)
  * Switch to compat level 10.

 -- Markus Koschany <apo@debian.org>  Sat, 10 Dec 2016 00:43:38 +0100

neverball (1.6.0-4) unstable; urgency=medium

  * Update my e-mail address.
  * Vcs-fields: Use cgit and https.
  * Drop neverball-dbg because the automatic -dbgsym package replaced it.
  * Mark -data packages as Multi-Arch: foreign.
  * Declare compliance with Debian Policy 3.9.8.

 -- Markus Koschany <apo@debian.org>  Tue, 09 Aug 2016 00:14:13 +0200

neverball (1.6.0-3) unstable; urgency=medium

  * debian/copyright: Clarify Octocat logo permissions. (Closes: #757621)

 -- Markus Koschany <apo@gambaru.de>  Tue, 12 Aug 2014 20:11:19 +0200

neverball (1.6.0-2) unstable; urgency=medium

  * Enable mouse grab in window mode again and make the cursor invisible in
    fullscreen mode. Append -DNDEBUG to CPPFLAGS to achieve this. Thanks to
    Filipus Klutiero for the report. (Closes: #755760)

 -- Markus Koschany <apo@gambaru.de>  Thu, 24 Jul 2014 10:24:21 +0200

neverball (1.6.0-1) unstable; urgency=medium

  [ Alexander Reichle-Schmehl ]
  * Removed myself from uploaders.

  [ Markus Koschany ]
  * Imported Upstream version 1.6.0.
  * Declare compliance with Debian Policy 3.9.5.
  * Add myself to Uploaders.
  * Switch from SVN to Git. Change Vcs-fields accordingly.
  * debian/control:
    - Switch to SDL2. Fixes primary click does not start level with a
      left-handed mouse. (Closes: #700475)
    - neverball-common: Suggest fonts-wqy-microhei instead of
      ttf-wqy-zenhei.
  * Drop the following patches. These bugs were fixed upstream.
    - fix-build-gold-linker.patch
    - reset-video-mode.patch
  * Refresh separate-data-and-bin.patch and update-french-po-file.patch.
  * Add keywords.patch.
    - Add keywords to desktop file.
  * Update DEP3 headers for all patches. Forward patches to Neverball project
    at github.
  * debian/rules:
    - Remove HOME variable to workaround #544835. HOME does no longer exist.
    - Remove override for dh_auto_install.
  * Use clean file instead of dh_auto_clean override.
  * Update all install files for new release.
  * Update docs files.
  * Install doc/changes.txt as upstream changelog.
  * Install release-notes.md with docs files.
  * Install hires icons to /usr/share/icons/hicolor/128x128/apps.
  * wrap-and-sort -sa.
  * Update neverball-common.links. Change wqy-zenhei.ttc to wqy-microhei.ttc.
  * Update copyright years. Add GPL-3+-with-font-exception and DejaVu license.
  * neverball-common: Fix symlink to DejaVuSans.ttf and point to the new
    package fonts-devjavu-core.

 -- Markus Koschany <apo@gambaru.de>  Tue, 15 Jul 2014 23:17:35 +0200
